%% ------------------------------------------------------------------
%%
%% Copyright (c) 2011 Basho Technologies, Inc.
%%
%% This file is provided to you under the Apache License,
%% Version 2.0 (the "License"); you may not use this file
%% except in compliance with the License.  You may obtain
%% a copy of the License at
%%
%%   http://www.apache.org/licenses/LICENSE-2.0
%%
%% Unless required by applicable law or agreed to in writing,
%% software distributed under the License is distributed on an
%% "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
%% KIND, either express or implied.  See the License for the
%% specific language governing permissions and limitations
%% under the License.
%%
%% ------------------------------------------------------------------
%%
%% @doc Application.

-module(riak_control_app).

-behaviour(application).

%% Application callbacks
-export([start/2,
         stop/1]).

%% ==================================================================
%% Application callbacks
%% ==================================================================

start(_StartType, _StartArgs) ->
    case riak_control_sup:start_link() of
        {error, Reason} ->
            {error, Reason};
        {ok, Pid} ->
            riak_core_capability:register({riak_control, member_info_version},
                                          [v1, v0],
                                          v0),
            {ok, Pid}
    end.

stop(_State) ->
    ok.
